Page MenuHomeFreeBSD

[new port] devel/git-subrepo, a Git command for managing subrepositories.
ClosedPublic

Authored by jhb on May 7 2019, 11:29 PM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 24141
Build 22993: arc lint + arc unit

Event Timeline

jhb created this revision.May 7 2019, 11:29 PM
brooks accepted this revision.May 7 2019, 11:31 PM

LGTM

This revision is now accepted and ready to land.May 7 2019, 11:31 PM
linimon retitled this revision from Add git-subrepo, a Git command for managing subrepositories. to [new port] devel/git-subrepo, a Git command for managing subrepositories..May 8 2019, 2:49 AM
mat added inline comments.May 8 2019, 9:39 AM
devel/git-subrepo/Makefile
24

This is never used.

26

Why +=?

jhb updated this revision to Diff 57186.May 8 2019, 4:15 PM

Fix two nits mat@ noticed.

This revision now requires review to proceed.May 8 2019, 4:15 PM
jhb marked 2 inline comments as done.May 8 2019, 4:16 PM
jhb added inline comments.
devel/git-subrepo/Makefile
24

Oops, leftover from earlier testing.

jhb marked an inline comment as done.May 8 2019, 4:17 PM
jhb added a comment.May 20 2019, 6:29 PM

bdrewery looked this over and approved it in person during a break in between talks at BSDCan

This revision was not accepted when it landed; it landed in state Needs Review.May 20 2019, 9:04 PM
This revision was automatically updated to reflect the committed changes.